Callbacks (gCube Resource Management Portlet 4.0.0-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.utils
Class Callbacks

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.client.utils.Callbacks

    public class Callbacks

extends Object

In order to simplify the management of asynchronous commands executed by the application that involve access to the servlet the invocations have been represented in `Commands` and the related callbacks here.

Author:
  Daniele Strollo (ISTI-CNR)

Field Summary
`static com.google.gwt.user.client.rpc.AsyncCallback<List<String>>` | `handleFilterResourceDetailsGrid`
`static com.google.gwt.user.client.rpc.AsyncCallback<List<String>>` | `handleGetAvailableScopes`
`static com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.Tuple<String>>` | `handleGetDeploymentReport`
`static com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.datamodel.CompleteResourceProfile>` | `handleGetResourceProfile`
`static com.google.gwt.user.client.rpc.AsyncCallback<List<String>>` | `handleLoadResourceDetailsGrid` Once received the list of resource profiles for resources of a given type, they will be shown inside a grid that is created here.
`static com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,ArrayList<String>>>` | `handleLoadResourceTree` Once received the list of Types/Subtypes they are shown in a tree panel.
`static com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,ArrayList<String>>>` | `handleReloadResourceTree` Once received the list of Types/Subtypes they are shown in a tree panel.

Constructor Summary
`Callbacks()`

Method Summary
`static void` | `builtResourceTree(HashMap<String,ArrayList<String>> result, boolean clearGrid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handleGetAvailableScopes

    public static final com.google.gwt.user.client.rpc.AsyncCallback<List<String>> handleGetAvailableScopes

### handleLoadResourceTree

    public static final com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,ArrayList<String>>> handleLoadResourceTree

  Once received the list of Types/Subtypes they are shown in a tree panel. Here implemented the logics for that.

### handleReloadResourceTree

    public static final com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,ArrayList<String>>> handleReloadResourceTree

  Once received the list of Types/Subtypes they are shown in a tree panel. Here implemented the logics for that.

### handleLoadResourceDetailsGrid

    public static final com.google.gwt.user.client.rpc.AsyncCallback<List<String>> handleLoadResourceDetailsGrid

  Once received the list of resource profiles for resources of a given type, they will be shown inside a grid that is created here.

### handleFilterResourceDetailsGrid

    public static final com.google.gwt.user.client.rpc.AsyncCallback<List<String>> handleFilterResourceDetailsGrid

### handleGetResourceProfile

    public static final com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.datamodel.CompleteResourceProfile> handleGetResourceProfile

### handleGetDeploymentReport

    public static final com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.resourcemanagement.support.shared.types.Tuple<String>> handleGetDeploymentReport

Constructor Detail

### Callbacks

    public Callbacks()

Method Detail

### builtResourceTree

    public static final void builtResourceTree(HashMap<String,ArrayList<String>> result,
                                               boolean clearGrid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.